﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TBmemo
{
    public partial class Option : Form
    {
        Form1 _mainForm;
        Color bgColor;


        public Form1 mainForm
        {
            get { return _mainForm; }
            set { _mainForm = value; }
        }

        

        public Option(Form1 form)
        {
            InitializeComponent();
            mainForm = form;
            OptionInitializeComponent();
        }

        //設定した項目をメインのフォームに反映させる
        public void SetOption()
        {
            mainForm.Opacity = 1 - ((double) OpacityNumericUpDown.Value * 0.01);
            mainForm.TBox.BackColor = bgColor;
        }

        //オプションの各項目の初期化を行う
        private void OptionInitializeComponent()
        {            
            OpacityNumericUpDown.Value = 100 - ((decimal)mainForm.Opacity * 100);            
            if (mainForm.bgImg == null)
            {
                BgcolRadioButton.Checked = true;
                bgColor = mainForm.TBox.BackColor;
                NowColPictureBox.BackColor = bgColor;
            }

            CheckedChange();
        }

        //BgcolRadioButtonのチェック状態が変わったときに呼ばれるイベントハンドラ
        private void BgcolRadioButton_CheckedChange(object sender, EventArgs e)
        {
            CheckedChange();
        }

        //背景タブの各コントロールの有効/無効を切り替える
        private void CheckedChange()
        {
            if (BgcolRadioButton.Checked)
            {
                BgimgLabel.Enabled = false;
                BgimgPictureBox.Enabled = false;
                BgimgChangeButton.Enabled = false;
                OpacityimgLabel.Enabled = false;
                OpacityimgNumericUpDown.Enabled = false;
                StretchimgCheckBox.Enabled = false;
                NowColLabel.Enabled = true;
                NowColPictureBox.Enabled = true;
                ColChangeButton.Enabled = true;                
            }
            else
            {
                BgimgLabel.Enabled = true;
                BgimgPictureBox.Enabled = true;
                BgimgChangeButton.Enabled = true;
                OpacityimgLabel.Enabled = true;
                OpacityimgNumericUpDown.Enabled = true;
                StretchimgCheckBox.Enabled = true;
                NowColLabel.Enabled = false;
                NowColPictureBox.Enabled = false;
                ColChangeButton.Enabled = false;
            }
        }        

        //「背景色を変更」ボタンを押したときのイベントハンドラ
        private void ColChangeButton_Click(object sender, EventArgs e)
        {
            DialogResult dr = colorDialog1.ShowDialog();

            if (dr == DialogResult.OK)
            {
                bgColor = colorDialog1.Color;
                NowColPictureBox.BackColor = bgColor;
            }
                
        }
    }
}
